Bug 1729538 - [abrt] gnome-software: gnutls_priority_protocol_list(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: gnutls_priority_protocol_list(): gnome-software killed...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c4ecee325f0a143b5bc769c9d3d...
: 1731008 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 14:49 UTC by Albert Giner Mesado
Modified: 2019-11-27 23:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:01:55 UTC


Attachments (Terms of Use)
File: backtrace (77.50 KB, text/plain)
2019-07-12 14:49 UTC, Albert Giner Mesado
no flags Details
File: cgroup (217 bytes, text/plain)
2019-07-12 14:49 UTC, Albert Giner Mesado
no flags Details
File: core_backtrace (31.24 KB, text/plain)
2019-07-12 14:49 UTC, Albert Giner Mesado
no flags Details
File: cpuinfo (1.83 KB, text/plain)
2019-07-12 14:49 UTC, Albert Giner Mesado
no flags Details
File: dso_list (19.73 KB, text/plain)
2019-07-12 14:49 UTC, Albert Giner Mesado
no flags Details
File: environ (1.82 KB, text/plain)
2019-07-12 14:49 UTC, Albert Giner Mesado
no flags Details
File: exploitable (110 bytes, text/plain)
2019-07-12 14:49 UTC, Albert Giner Mesado
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-12 14:49 UTC, Albert Giner Mesado
no flags Details
File: maps (123.19 KB, text/plain)
2019-07-12 14:49 UTC, Albert Giner Mesado
no flags Details
File: mountinfo (5.98 KB, text/plain)
2019-07-12 14:49 UTC, Albert Giner Mesado
no flags Details
File: open_fds (4.09 KB, text/plain)
2019-07-12 14:49 UTC, Albert Giner Mesado
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-07-12 14:49 UTC, Albert Giner Mesado
no flags Details
File: var_log_messages (1.54 KB, text/plain)
2019-07-12 14:49 UTC, Albert Giner Mesado
no flags Details

Description Albert Giner Mesado 2019-07-12 14:49:16 UTC
Version-Release number of selected component:
gnome-software-3.30.6-4.fc29

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 3
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gnutls_priority_protocol_list
executable:     /usr/bin/gnome-software
journald_cursor: s=97251748593541c281033587e2ef87f5;i=57079;b=a82a6da8669341ad81da95f6dd87ee77;m=42c36686;t=58d7d00dce9f0;x=7e569a549c562752
kernel:         5.1.16-200.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gnutls_priority_protocol_list
 #1 g_tls_connection_gnutls_init_priorities at ../tls/gnutls/gtlsconnection-gnutls.c:307
 #2 g_tls_connection_gnutls_get_type_once at ../tls/gnutls/gtlsconnection-gnutls.c:237
 #3 g_tls_connection_gnutls_get_type at ../tls/gnutls/gtlsconnection-gnutls.c:237
 #4 g_tls_client_connection_gnutls_get_type_once at ../tls/gnutls/gtlsclientconnection-gnutls.c:84
 #5 g_tls_client_connection_gnutls_get_type at ../tls/gnutls/gtlsclientconnection-gnutls.c:84
 #6 soup_socket_setup_ssl at soup-socket.c:1386
 #7 soup_socket_handshake_sync at soup-socket.c:1489
 #8 soup_connection_connect_sync at soup-connection.c:468
 #9 get_connection at soup-session.c:1956

Comment 1 Albert Giner Mesado 2019-07-12 14:49:20 UTC
Created attachment 1589943 [details]
File: backtrace

Comment 2 Albert Giner Mesado 2019-07-12 14:49:21 UTC
Created attachment 1589944 [details]
File: cgroup

Comment 3 Albert Giner Mesado 2019-07-12 14:49:22 UTC
Created attachment 1589945 [details]
File: core_backtrace

Comment 4 Albert Giner Mesado 2019-07-12 14:49:24 UTC
Created attachment 1589946 [details]
File: cpuinfo

Comment 5 Albert Giner Mesado 2019-07-12 14:49:25 UTC
Created attachment 1589947 [details]
File: dso_list

Comment 6 Albert Giner Mesado 2019-07-12 14:49:27 UTC
Created attachment 1589948 [details]
File: environ

Comment 7 Albert Giner Mesado 2019-07-12 14:49:29 UTC
Created attachment 1589949 [details]
File: exploitable

Comment 8 Albert Giner Mesado 2019-07-12 14:49:30 UTC
Created attachment 1589950 [details]
File: limits

Comment 9 Albert Giner Mesado 2019-07-12 14:49:32 UTC
Created attachment 1589951 [details]
File: maps

Comment 10 Albert Giner Mesado 2019-07-12 14:49:34 UTC
Created attachment 1589952 [details]
File: mountinfo

Comment 11 Albert Giner Mesado 2019-07-12 14:49:35 UTC
Created attachment 1589953 [details]
File: open_fds

Comment 12 Albert Giner Mesado 2019-07-12 14:49:36 UTC
Created attachment 1589954 [details]
File: proc_pid_status

Comment 13 Albert Giner Mesado 2019-07-12 14:49:37 UTC
Created attachment 1589955 [details]
File: var_log_messages

Comment 14 Albert Giner Mesado 2019-07-15 06:38:41 UTC
Similar problem has been detected:

El error al abrir la aplicacione de Sotware.

Al realizar el update por consola aparece el sigueinte error:

$ sudo dnf update
Failed loading plugin "generate_completion_cache": /usr/lib64/python3.7/lib-dynload/_sqlite3.cpython-37m-x86_64-linux-gnu.so: undefined symbol: sqlite3_enable_load_extension

reporter:       libreport-2.10.0
backtrace_rating: 3
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gnutls_priority_protocol_list
executable:     /usr/bin/gnome-software
journald_cursor: s=97251748593541c281033587e2ef87f5;i=591ed;b=7d8012495a9b480abc7f6aa1dd7b6eb6;m=3524dafb80;t=58db25f1cb477;x=80ddd57891f3bc1f
kernel:         5.1.16-200.fc29.x86_64
package:        gnome-software-3.30.6-4.fc29
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Albert Giner Mesado 2019-07-18 06:41:59 UTC
*** Bug 1731008 has been marked as a duplicate of this bug. ***

Comment 16 Ben Cotton 2019-10-31 19:03:14 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2019-11-27 23:01:55 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.